Subject: bug#39390: 28.0.50; prettify-symbols-mode confuses display when start/end faces are different

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Feb 2020 22:23:17 +0200

> Cc: [email-masked]
> From: Raphael 'kena' Poss <[email-masked]>
> Date: Sun, 16 Feb 2020 14:40:04 -0500
> 
> 1) so you agree there's a discrepancy between the configuration (which
> should generate a _double_ @) and the display (which displays just one
> @). I am expecting the result of the composition to display two @'s. I
> would like to understand where this discrepancy comes from.

Your original report was about display problems with cursor motion, so
I didn't look into the issue of 1 vs 2 @'s, mainly because I wasn't
sure I reproduce the correct situation.

> 2) after we settle on what's the expected _display_ you can still see
> the display bug as per my further instructions. I am still observing
> inconsistent redraws, and I'd like to understand where they come from.

I don't see any display problems.

> 3) My original report was that _regardless of the intended result
> display_ (either one or two chars or more), there is a refresh/redisplay
> bug when the cursor moves across the composition. Instead of focusing on
> the number of characters on the result of composition, I'd like to focus
> on the display bug. If you do not observe the display bug with this
> particular example config

I don't.

> I can produce a dozen alternate configurations that demonstrate the
> bug, with screen recordings of each.

Please do, and thanks.